Search Results for

Show / Hide Table of Contents

# Class OpenDialog.OpenMode

Determine which System.IO type to open.

##### Inheritance

System.Object
OpenDialog.OpenMode

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class OpenMode : Enum

### Fields

#### Directory

Opens only directory or directories.

##### Declaration

    public const OpenDialog.OpenMode Directory

##### Field Value

Type | Description
--- | ---
OpenDialog.OpenMode |

#### File

Opens only file or files.

##### Declaration

    public const OpenDialog.OpenMode File

##### Field Value

Type | Description
--- | ---
OpenDialog.OpenMode |

#### Mixed

Opens files and directories.

##### Declaration

    public const OpenDialog.OpenMode Mixed

##### Field Value

Type | Description
--- | ---
OpenDialog.OpenMode |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |